#!/bin/sh
#### "*******************************************"
#### "              Created By RAED              *"
#### "*        << Edited by  linuxsat25 >>       *"
#### "*        ..:: www.tunisia-sat.com ::..     *"
#### "*******************************************"
NAME="OSCam_11.676-r798"

remove_tmp () {
	rm -rf /tmp/*OSCam_11.676-r798* /tmp/camd.socket /tmp/pid.info /tmp/ecm*.info /tmp/cardinfo /tmp/*cam*.pid /tmp/cam.kill
}

case "$1" in
	start)
		echo "[SCRIPT] $1: $NAME"
		remove_tmp
		sleep 1
		/usr/bin/OSCam_11.676-r798 -d -c /etc/tuxbox/config/oscam.conf &
		sleep 1
		pidof OSCam_11.676-r798 > /tmp/OSCam_11.676-r798.pid
		;;
	stop)
		echo "[SCRIPT] $1: $NAME"
		kill 2>/dev/null `cat 2>/dev/null /tmp/OSCam_11.676-r798.pid`
		sleep 1
		killall -9 OSCam_11.676-r798 2>/dev/null
		remove_tmp
		;;
	*)
		$0 stop
		exit 1
		;;
esac

exit 0
